/*
 * 文 件 名:  BoundaryObj
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/1/13
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * 计量边界对象
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/1/13]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class BoundaryObj {
    /**
     * 对象类型
     */
    private int objType;

    /**
     * 对象编码
     */
    private String objCode;

    /**
     * 对象名称
     */
    private String objName;

    /**
     * 绑定设备字符串
     */
    private String bindMeterDevs;

    /**
     * 直接绑定的电表
     */
    private Set<String> bindElecMeterDevs = new HashSet<>();

    /**
     * 分项关联计量电表
     */
    private Set<String> subElecMeterDevs = new HashSet<>();;

    /**
     * 子对象集合
     */
    private List<BoundaryObj> children = new ArrayList<>();

    public int getObjType() {
        return objType;
    }

    public void setObjType(int objType) {
        this.objType = objType;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getBindMeterDevs() {
        return bindMeterDevs;
    }

    public void setBindMeterDevs(String bindMeterDevs) {
        this.bindMeterDevs = bindMeterDevs;
    }

    public Set<String> getBindElecMeterDevs() {
        return bindElecMeterDevs;
    }

    public void setBindElecMeterDevs(Set<String> bindElecMeterDevs) {
        this.bindElecMeterDevs = bindElecMeterDevs;
    }

    public Set<String> getSubElecMeterDevs() {
        return subElecMeterDevs;
    }

    public void setSubElecMeterDevs(Set<String> subElecMeterDevs) {
        this.subElecMeterDevs = subElecMeterDevs;
    }

    public List<BoundaryObj> getChildren() {
        return children;
    }

    public void setChildren(List<BoundaryObj> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return "BoundaryObj{" + "objType=" + objType + ", objCode='" + objCode + '\'' + ", objName='" + objName + '\''
            + ", bindElecMeterDevs=" + bindElecMeterDevs + ", subElecMeterDevs=" + subElecMeterDevs + ", children="
            + children + '}';
    }
}